Back to index

salome-geom  6.5.0
Namespaces | Variables
GEOM_moteur.py File Reference

Go to the source code of this file.

Namespaces

namespace  GEOM_moteur

Variables

tuple GEOM_moteur.geom = salome.lcc.FindOrLoadComponent("FactoryServer", "GEOM")
tuple GEOM_moteur.myBuilder = salome.myStudy.NewBuilder()
int GEOM_moteur.PosX = 0
int GEOM_moteur.PosY = 0
int GEOM_moteur.PosZ = 0
int GEOM_moteur.NbBranches = 7
int GEOM_moteur.HauteurT = 70
int GEOM_moteur.Angle1 = 2
int GEOM_moteur.Angle2 = 2
int GEOM_moteur.HauteurR = 3
int GEOM_moteur.Ep = 10
int GEOM_moteur.DExtExt = 6
 GEOM_moteur.DExtInt = DExtExt-Ep
int GEOM_moteur.DIntExt = 3
int GEOM_moteur.DIntInt = 4
tuple GEOM_moteur.EpRot = DIntExt*math.sin(Angle2)
tuple GEOM_moteur.Pos1C = PosX+DIntExt*math.cos(Angle2)
tuple GEOM_moteur.Pos1S = PosY+DIntExt*math.sin(Angle2)
int GEOM_moteur.PosCour = 4
float GEOM_moteur.PosRot = 0.9
tuple GEOM_moteur.BasicOp = geom.GetIBasicOperations(salome.myStudyId)
tuple GEOM_moteur.OO = BasicOp.MakePointXYZ(0, 0, 0)
tuple GEOM_moteur.P0 = BasicOp.MakePointXYZ(0, 0, 1)
tuple GEOM_moteur.P1 = BasicOp.MakePointXYZ(PosX, PosY, PosZ)
tuple GEOM_moteur.P2 = BasicOp.MakePointXYZ(PosX, PosY, PosZ + Ep)
tuple GEOM_moteur.P3 = BasicOp.MakePointXYZ(PosX, PosY, PosCour)
tuple GEOM_moteur.P4 = BasicOp.MakePointXYZ(PosX, PosY, PosCour + Ep)
tuple GEOM_moteur.P5 = BasicOp.MakePointXYZ(PosX, PosY, PosRot)
tuple GEOM_moteur.P6 = BasicOp.MakePointXYZ(Pos1C, Pos1S, PosZ)
tuple GEOM_moteur.P7 = BasicOp.MakePointXYZ(PosX + DExtExt, Pos1S, PosZ)
tuple GEOM_moteur.P8 = BasicOp.MakePointXYZ(Pos1C, Pos1S, PosZ + HauteurT)
tuple GEOM_moteur.V1 = BasicOp.MakeVectorTwoPnt(OO,P0)
tuple GEOM_moteur.V2 = BasicOp.MakeVectorTwoPnt(P1,P2)
tuple GEOM_moteur.V3 = BasicOp.MakeVectorTwoPnt(P6,P8)
tuple GEOM_moteur.C0 = geompy.MakeCylinder(P1, V1, DIntInt, PosCour + Ep - PosZ)
tuple GEOM_moteur.C01 = geompy.MakeCylinder(P1, V1, DIntExt, PosCour + Ep - PosZ)
tuple GEOM_moteur.Cylindre = geompy.MakeBoolean(C01, C0, 2)
tuple GEOM_moteur.B1 = BasicOp.MakeVectorTwoPnt(P6, P7)
tuple GEOM_moteur.B2 = geompy.MakePrismVecH(B1, V1, HauteurT)
tuple GEOM_moteur.S0 = geompy.MakeRevolution(B2, V3, Angle1)
list GEOM_moteur.CoupeList = []
int GEOM_moteur.Ind = 1
tuple GEOM_moteur.S = geompy.MakeRotation(S0, V2, Ind * Angle1)
tuple GEOM_moteur.Coupe1 = geompy.MakeCompound(CoupeList)
tuple GEOM_moteur.C1 = geompy.MakeCylinder(P1, V1, DExtExt, HauteurT)
tuple GEOM_moteur.C2 = geompy.MakeCylinder(P2, V1, DExtInt, HauteurT)
tuple GEOM_moteur.C3 = geompy.MakeBoolean(C1, C2, 2)
tuple GEOM_moteur.C31 = geompy.MakeBoolean(C3, C0, 2)
tuple GEOM_moteur.Couronne1 = geompy.MakeBoolean(C31, Coupe1, 2)
tuple GEOM_moteur.C4 = geompy.MakeCylinder(P3, V1, DExtExt, PosZ + HauteurT - PosCour)
tuple GEOM_moteur.C5 = geompy.MakeCylinder(P4, V1, DExtInt, HauteurT)
tuple GEOM_moteur.Coupe2 = geompy.MakeRotation(Coupe1, V2, Angle2)
tuple GEOM_moteur.C6 = geompy.MakeBoolean(C4, C5, 2)
tuple GEOM_moteur.C61 = geompy.MakeBoolean(C6, C0, 2)
tuple GEOM_moteur.Couronne2 = geompy.MakeBoolean(C61, Coupe2, 2)
tuple GEOM_moteur.C9 = geompy.MakeCylinder(P5, V1, DIntExt, HauteurR)
tuple GEOM_moteur.C10 = geompy.MakeCylinder(P5, V1, DIntExt / 4, 2 * HauteurR)
list GEOM_moteur.Rotor1List = []
tuple GEOM_moteur.Rotor1 = geompy.MakeCompound(Rotor1List)
tuple GEOM_moteur.Id_Rotor1 = geompy.addToStudy(Rotor1, "Rotor1")
tuple GEOM_moteur.D0 = geompy.MakeBox(2 * Pos1C - PosX, -Pos1S + 2 * PosY, PosRot, 2 * Pos1C + EpRot - PosX, Pos1S, PosRot + EpRot / 2)
list GEOM_moteur.Rotor2List = []
tuple GEOM_moteur.R = geompy.MakeRotation(D0, V2, Ind * Angle1)
tuple GEOM_moteur.Rotor2 = geompy.MakeCompound(Rotor2List)
tuple GEOM_moteur.Id_Rotor2 = geompy.addToStudy(Rotor2, "Rotor2")
tuple GEOM_moteur.Rotor3 = geompy.MakeRotation(Rotor2, V2, Angle2)
tuple GEOM_moteur.Id_Rotor3 = geompy.addToStudy(Rotor3, "Rotor3")
list GEOM_moteur.StatorList = []
tuple GEOM_moteur.Stator = geompy.MakeCompound(StatorList)
tuple GEOM_moteur.Id_Stator = geompy.addToStudy(Stator, "Stator")